Package io.vertx.mysqlclient

## Enum MySQLSetOption

- java.lang.Object
- - java.lang.Enum<MySQLSetOption>
  - - io.vertx.mysqlclient.MySQLSetOption

- All Implemented Interfaces:
    `Serializable`, `Comparable<MySQLSetOption>`

      public enum MySQLSetOption
      extends Enum<MySQLSetOption>

  MySQL set options which can be used by `MySQLConnection.setOption(MySQLSetOption)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MYSQL_OPTION_MULTI_STATEMENTS_OFF` |
    `MYSQL_OPTION_MULTI_STATEMENTS_ON` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MySQLSetOption` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MySQLSetOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MYSQL_OPTION_MULTI_STATEMENTS_ON

          public static final MySQLSetOption MYSQL_OPTION_MULTI_STATEMENTS_ON

    - #### MYSQL_OPTION_MULTI_STATEMENTS_OFF

          public static final MySQLSetOption MYSQL_OPTION_MULTI_STATEMENTS_OFF

  - ### Method Detail

    - #### values

          public static MySQLSetOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MySQLSetOption c : MySQLSetOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MySQLSetOption valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null